DCMTK: DcmRepresentationParameter Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DcmRepresentationParameter Class Referenceabstract

abstract base class for codec representation parameter sets. More...

Inheritance diagram for DcmRepresentationParameter:

## Public Member Functions
| DcmRepresentationParameter ()
| default constructor
| DcmRepresentationParameter (const DcmRepresentationParameter &)
| copy constructor
virtual | ~DcmRepresentationParameter ()
| destructor
virtual DcmRepresentationParameter * | clone () const =0
| this methods creates a copy of type DcmRepresentationParameter * it must be overwritten in every subclass.
virtual const char * | className () const =0
| returns the class name as string.
virtual OFBool | operator== (const DcmRepresentationParameter &arg) const =0
| compares an object to another DcmRepresentationParameter.

## Detailed Description

abstract base class for codec representation parameter sets.

A codec parameter set subclass is implemented for each codec and passed to the codec by the encode() and decode() routines. It is supposed to contain data that may vary between compressed image representations using the same transfer syntax, for example the quality factor or compression factor for lossy compression.

## Member Function Documentation

## ◆ className()

virtual const char * DcmRepresentationParameter::className | ( |  | ) | const
| pure virtual

returns the class name as string.

can be used in operator== as poor man's RTTI replacement.

Implemented in DcmRLERepresentationParameter, DJ_RPLossless, DJ_RPLossy, and DJLSRepresentationParameter.

## ◆ clone()

virtual DcmRepresentationParameter * DcmRepresentationParameter::clone | ( |  | ) | const
| pure virtual

this methods creates a copy of type DcmRepresentationParameter * it must be overwritten in every subclass.

Returns
  copy of this object

Implemented in DcmRLERepresentationParameter, DJ_RPLossless, DJ_RPLossy, and DJLSRepresentationParameter.

References DcmRepresentationParameter().

## ◆ operator==()

virtual OFBool DcmRepresentationParameter::operator== | ( | const DcmRepresentationParameter & | arg | ) | const
| pure virtual

compares an object to another DcmRepresentationParameter.

Implementation must make sure that classes are comparable.

Parameters

  arg | representation parameter to compare with

Returns
  true if equal, false otherwise.

Implemented in DcmRLERepresentationParameter, DJ_RPLossless, DJ_RPLossy, and DJLSRepresentationParameter.

References DcmRepresentationParameter().

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcpixel.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2